EndpointsPlatform Department Qualification Levels

Platform Department Qualification Levels

Function-calling namespace: platformDepartmentQualificationLevels

  • Base URL: https://api.aivida.in
  • Engine endpoint: POST /api
  • Auth: Stack token middleware enabled in optional mode.
  • Send token in header: x-stack-access-token: <access_token> (or Authorization: Bearer <access_token>).
  • In optional mode: no token is allowed; invalid token is rejected with 401.

create

Source: backend/endpoints/platform-department-qualification-levels/create

Input Fields

FieldTypeRequiredConstraints
departmentIdstringYes-
qualificationNamestringYesmax: 255
sortOrderintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "platformDepartmentQualificationLevels",
  "apiName": "create",
  "data": {
    "departmentId": "department_123",
    "qualificationName": "value"
  }
}'

Example Response

{ "status": "ok", "data": {} }

delete

Source: backend/endpoints/platform-department-qualification-levels/delete

Input Fields

FieldTypeRequiredConstraints
idstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "platformDepartmentQualificationLevels",
  "apiName": "delete",
  "data": {
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

getById

Source: backend/endpoints/platform-department-qualification-levels/get-by-id

Input Fields

FieldTypeRequiredConstraints
idstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "platformDepartmentQualificationLevels",
  "apiName": "getById",
  "data": {
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listByDepartment

Source: backend/endpoints/platform-department-qualification-levels/list-by-department

Input Fields

FieldTypeRequiredConstraints
departmentIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "platformDepartmentQualificationLevels",
  "apiName": "listByDepartment",
  "data": {
    "departmentId": "department_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listWithDocuments

Source: backend/endpoints/platform-department-qualification-levels/list-with-documents

Input Fields

FieldTypeRequiredConstraints
departmentIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "platformDepartmentQualificationLevels",
  "apiName": "listWithDocuments",
  "data": {
    "departmentId": "department_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

update

Source: backend/endpoints/platform-department-qualification-levels/update

Input Fields

FieldTypeRequiredConstraints
idstringYes-
qualificationNamestringNomax: 255; nullable
sortOrderintegerNonullable
isActivebooleanNonullable

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "platformDepartmentQualificationLevels",
  "apiName": "update",
  "data": {
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }